=== modified file 'bzrlib/hashcache.py'
--- bzrlib/hashcache.py	2005-09-30 02:54:51 +0000
+++ bzrlib/hashcache.py	2005-10-12 10:44:57 +0000
@@ -101,13 +101,11 @@
         self.update_count = 0
         self._cache = {}
 
-
     def cache_file_name(self):
+        # FIXME: duplicate path logic here, this should be 
+        # something like 'branch.controlfile'.
         return os.sep.join([self.basedir, '.bzr', 'stat-cache'])
 
-
-
-
     def clear(self):
         """Discard all cached information.
 

=== modified file 'bzrlib/upgrade.py'
--- bzrlib/upgrade.py	2005-10-09 23:42:12 +0000
+++ bzrlib/upgrade.py	2005-10-12 10:44:57 +0000
@@ -87,6 +87,7 @@
 
 from bzrlib.branch import Branch, find_branch
 from bzrlib.branch import BZR_BRANCH_FORMAT_5, BZR_BRANCH_FORMAT_6
+import bzrlib.hashcache as hashcache
 from bzrlib.revfile import Revfile
 from bzrlib.weave import Weave
 from bzrlib.weavefile import read_weave, write_weave
@@ -122,6 +123,9 @@
             note('starting upgrade from format 5 to 6')
             self._convert_to_prefixed()
             self._open_branch()
+        cache = hashcache.HashCache(os.path.abspath(self.base))
+        cache.clear()
+        cache.write()
         note("finished")
 
 

